Package org.linphone.core

# Enum Class LogLevel

java.lang.Object
java.lang.Enum<LogLevel>
org.linphone.core.LogLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<LogLevel>`, `Constable`

public enum LogLevel extends Enum<LogLevel>
Verbosity levels of log messages.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Debug`
Level for debug messages.
`Error`
Level for error messages.
`Fatal`
Level for fatal error messages.
`Message`
Level for information messages.
`Trace`
Level for traces.
`Warning`
Level for warning messages.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static LogLevel`
`fromInt(int value)`
`protected static LogLevel[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(LogLevel[] values)`
`static LogLevel`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LogLevel[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Debug

public static final LogLevel Debug
Level for debug messages.

### Trace

public static final LogLevel Trace
Level for traces.

### Message

public static final LogLevel Message
Level for information messages.

### Warning

public static final LogLevel Warning
Level for warning messages.

### Error

public static final LogLevel Error
Level for error messages.

### Fatal

public static final LogLevel Fatal
Level for fatal error messages.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static LogLevel[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LogLevel valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static LogLevel fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static LogLevel[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(LogLevel[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()